[Qa-jenkins-scm] [jenkins.debian.net] 02/02: add temp. check to notify about nodes not using systemd
Holger Levsen
holger at layer-acht.org
Sat Apr 29 13:08:19 UTC 2017
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 40c692c1842989095068c620b075489adafd7822
Author: Holger Levsen <holger at layer-acht.org>
Date: Sat Apr 29 15:08:13 2017 +0200
add temp. check to notify about nodes not using systemd
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
update_jdn.sh | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/update_jdn.sh b/update_jdn.sh
index 90abca9..968899d 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -43,6 +43,14 @@ disable_dsa_check_packages() {
echo "--------------------------------------------"
explain "$(date) - begin deployment update."
+#
+# temporarily test to check which hosts don't use systemd
+#
+if [ -z "$(dpkg -l|grep systemd-sysv||true)" ] ; then
+ echo "no systemd-sysv installed on $(hostname)"
+ read
+fi
+
# some nodes need special treatment…
case $HOSTNAME in
profitbricks-build4-amd64|profitbricks-build5-amd64|profitbricks-build6-i386|profitbricks-build15-amd64|profitbricks-build16-i386)
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list